package com.example.zadaniekwiaciarnia;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.Spinner;

public class WyborLayout extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.wybor_layout);

        Button buttonWycena = findViewById(R.id.buttonWycena);
        Spinner spinnerRodzajKwiatow = findViewById(R.id.spinnerRodzajKwiatow);
        EditText editTextIlosc = findViewById(R.id.editTextIlosc);
        CheckBox checkboxDekoracje = findViewById(R.id.checkboxDekoracje);
        RadioButton radioButtonFolia = findViewById(R.id.radioFolia);

        ArrayAdapter<CharSequence> rodzajeAdapter = ArrayAdapter.createFromResource(
                this,
                R.array.rodzajeKwiatow,
                android.R.layout.simple_spinner_item
        );
        rodzajeAdapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        spinnerRodzajKwiatow.setAdapter(rodzajeAdapter);

        buttonWycena.setOnClickListener(v -> {
            Intent intent = new Intent(WyborLayout.this, WycenaLayout.class);
            intent.putExtra("ilosc", Integer.parseInt(editTextIlosc.getText().toString()));
            intent.putExtra("rodzaj", spinnerRodzajKwiatow.getSelectedItem().toString());
            intent.putExtra("dek", checkboxDekoracje.isChecked());
            intent.putExtra("folia", radioButtonFolia.isChecked());

            startActivity(intent);
        });

    }

}

